<template>
  <div class="popup-full">
    <div class="popup-full__backdrop"></div>
    <slot name="custom" />
    <div class="popup-full-box" v-if="!$slots.custom">
      <close-button
        class="close-button"
        :class="[$style.closeButton, isVipMember && $style.vipTheme]"
        @click="() => $emit('close-click')"
      />
      <slot />
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import CloseButton from "@/components/CloseButton";
export default {
  name: "PopupFull",
  components: { CloseButton },
  computed: {
    ...mapGetters("account", ["isVipMember"])
  }
};
</script>

<style lang="scss" scoped>
.popup-full {
  position: fixed;
  z-index: $zindex-fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  @include media-breakpoint-up(md) {
    padding: 20px;
  }

  &__backdrop {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(#030710, 0.9);
    overflow-y: auto;
  }

  &-box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 30px 24px;
    box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.5);
    border-radius: 2px;
    background-color: $white;

    @include media-breakpoint-up(md) {
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      height: auto;
      max-width: 1070px;
    }
  }

  .close-button {
    position: absolute;
    z-index: 1;
    right: 16px;
    top: 16px;
    background-color: transparent;
    border: 1px $color-skm-red solid;

    &:before,
    &:after {
      background: $color-skm-red;
      width: 20px;
      margin-left: -10px;
      margin-top: 0px;
    }
  }
}

.branch-selector-popup {
  @include media-breakpoint-up(md) {
    margin-top: -550px;
  }

  &::v-deep {
    height: 100%;
    @include media-breakpoint-up(md) {
      height: auto;
    }
    .branch-selector-box {
      padding-top: 50px;
      top: 0;
      left: 0;
      height: 100%;
      background-color: $white;
      @include media-breakpoint-up(md) {
        padding-top: 30px;
        height: auto;
      }
    }
    .result-box {
      display: block;
      background-color: $white;
      @include media-breakpoint-up(md) {
        display: flex;
        left: 50%;
      }
    }
    .result-content--noResult {
      padding: 0 4%;
    }
  }
}
</style>

<style lang="scss" module>
:global(.popup-full) {
  .vipTheme {
    &.closeButton {
      border-color: $color-skm-gold;
      &:before,
      &:after {
        background: $color-skm-gold;
      }
    }
  }
}
</style>
